{% extends "templates/form.njk" %}
{% from "packages/components/warning-callout/macro.njk" import warningCallout %}
{% from "packages/components/button/macro.njk" import button %}
{% from "macros/hce-summary-with-radio-and-editable-date.njk" import hceSummaryListWithRadioAndEditableDate %}

{% block formContent %}
    <h1>{{heading}}</h1>

    {{ warningCallout({
        "heading": warningCalloutHeading,
        "headingLevel": 2,
        "HTML": warningCalloutHTML
    }) }}

    {{ hceSummaryListWithRadioAndEditableDate({
        headingLevel: 3,
        text: { 
            heading: summaryCardTitle 
        },
        rows: [
        {
            key: {
                text: certificateNumberLabel
            },
            value: 	{
                dateInput: false,
                radioInput: false,
                text: certificateDetailsData.reference
            }
        },
        {
            key: {
                text: certificateTypeLabel
            },
            value: {
                dateInput: false,
                radioInput: false,
                text: certificateDetailsData.type
            }
        },
        {
            key: {
                text: certificateStatusLabel
            },
            value: {
                dateInput: false,
                radioInput: false,
                text: certificateDetailsData.status
            }
        },
        {
            key: {
                text: certificateChannelLabel
            },
            value: {
                dateInput: false,
                radioInput: false,
                text: certificateDetailsData.channel
            }
        },
        {
            key: {
                text: certificateFulfillmentLabel
            },
            value: {
                dateInput: false,
                radioInput: true,
                fieldIdPrefix: "certificate-fulfillment",
                fieldNamePrefix: "certificateFulfillment",
                certificateFulfillment: certificateDetailsData.certificateFulfillment,
                inputErrors: errors,
                certificateFulfillmentEmailText: certificateFulfillmentEmailText,
                certificateFulfillmentPostText: certificateFulfillmentPostText
            }
        },
        {        
            key: {
                text: certificateStartLabel
            },
            value: {
                dateInput: certificateDetailsData.isStartDateEligibleForEditing,
                radioInput: false,
                fieldIdPrefix: "certificate-start-date",
                fieldNamePrefix: "certificateStartDate",
                claim: certificateDetailsData,
                inputErrors: errors,
                legendText: certificateStartLabel,
                text: certificateDetailsData.startDate
            }
        },
        {
            key: {
                text: certificateExpiryLabel
            },
            value: {
                dateInput: false,
                text: certificateDetailsData.endDate
            }
        },
        {
            key: {
                text: applicationDateLabel
            },
            value: {
                dateInput: false,
                text: certificateDetailsData.applicationDate
            }
        }
        ]
    }) }}
    </br></br>
    <div class="form-group">
        {{ button({ 
            href: contextPath + previous,
            text: backButtonText,
            classes: "nhsuk-button hce-telesales-blue-button",
            preventDoubleClick: true,
            attributes: {
            id: 'back-button'
            }
        }) }}
        {{ button({
            text: submitButtonText,
            classes: "nhsuk-button hce-telesales-blue-button",
            preventDoubleClick: true,
            attributes: {
            id: 'submit-button'
            }
        }) }}
    </div>
{% endblock %}